A. No :-

1. Upgrade to NT 3.51 if you're not already at that level.
2. Upgrade to SQL 6.5
3. Install 6.5 Service pack 3 or above
4. Upgrade to NT 4.0
5. Install NT 4.0 service pack 4 or above
6. Install IE 4.0 SP1 or above
7. Upgrade to SQL 7
8. Install SQL 7 Service Pack 1

Easy, if a little manual.